#include <typeinfo>
#include <msp/core/application.h>
#include <msp/debug/demangle.h>
#include "cocoaerrordialog.h"
#include "errordialog.h"

using namespace std;

namespace Msp {
namespace Graphics {

bool ErrorDialog::report_uncaught_exception(const exception &e) const
{
	(void)display;
	if(Application::get_data())
	{
		string type = Debug::demangle(typeid(e).name());
		run_alert(type.c_str(), e.what());
		return true;
	}
	return false;
}

} // namespace Graphics
} // namespace Msp
